body, html {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  max-height: 100vh;
  overflow: hidden; 
}

.container {
    position: fixed;  
    width: 100%;
    height: 100%;
    overflow: auto;  /* visible scrolling bar */
    -webkit-overflow-scrolling: touch;
    cursor: grab;    
} 

.content {
  position: absolute; 
  width: 5000px;
  height: 5000px;
  user-select: none;
  transform-origin: 0 0; 
  overflow: hidden;
} 

.image {
  position: absolute;
  user-select: none;
  -ms-user-select: none; /*microsoft*/
  -webkit-user-select: none; /* Safari */
  -moz-user-select: none; /* Firefox */
  object-fit: contain;
  /* touch-action: none;  */

}

.videoSelections {
  user-select: none; 
  -ms-user-select: none; /* microsoft */
  -webkit-user-select: none; /* Safari */
  -moz-user-select: none; /* Firefox */
  transition: transform 0.3s ease-in-out;
}

#ongomadrum {
  width: 7%;
  transform: rotate(-5deg); 
  transition: transform 0.3s ease;
}

#custom-cursor {
position: fixed;
pointer-events: none;
z-index: 9999;
width: 32px; 
height: 32px; 
background-image: url('images/cursor_everything.png');
background-size: contain;
transform: translate(-50%, -50%);
display: none; 
}

.soundHover {
  cursor: url('images/cursor_everything.png') 16 16, auto;
}

#background {
  position: absolute;
  width: 102%;
  height: 102%;
  /* width: 100%;
  height: 100%; */
  background-image: url('images/background\ vector\ lines\ only.svg');
  background-size: cover;
  background-position: center;
  /* transform: scale(1); 
  top: 0%;
  left: 0%; */
  transform: scale(1.3); 
  top: 10%; 
  left: 10%;
  z-index: -1;
}

#womaninpink {
  width: 8%;
}

#bee{
  width: 4%;
  height: 9%;
}

#three {
  width: 25%;
  height: 29%;
} 

 #people {
  width: 34%;
  height: 38%;
  image-rendering: optimizeQuality;
} 

#places {
  width: 21%;
  height: 25%;
  image-rendering: optimizeQuality;
  object-fit: contain;
}

#omufuko_head {
  width: 4%;
  height: 2%;
}

#omufuku {
  width: 3%;
  height: 7%;
}

#tree_y {
  width: 7%;
  height:11%;
  z-index: -10;
}

#trees {
  width: 15%;
  height: 19%;
  object-fit: contain;
}

#man_hat {
  width: 6%;
}

#pink_tree {
  width: 11%;
}

#fire_drums {
  width: 2.5%;
}

#DIvideo {
  width: 350px;
  z-index: 1;
  transition: all 0.5s ease;
    
}

#DIvideo.active {
  transition: all 0.5s ease;
}

#DIvideo_short {
  width: 350px;
  z-index: 1;
  transition: all 0.5s ease;
}

#DIvideo_short.active {
  transition: all 0.5s ease;
}

#Kinavideo {
  width: 350px;
  transition: all 0.5s ease;
  z-index: 10;
}

#Kinavideo.active {
  transition: all 0.5s ease;
  z-index: 20;
}

#tuning_drums {
  width: 350px;
  transition: all 0.5s ease;
  z-index: 99;
}

#tuning_drums.active {
  transition: all 0.5s ease;
}

#drums_mbuna {
  width: 350px;
  transition: all 0.5s ease;
  z-index: 2;
}

#drums_mbuna.active {
  transition: all 0.5s ease;
}

#kuku_video {
  width: 350px;
  transition: all 0.5s ease;
  z-index: 99;
}

#kuku_video.active {
  transition: all 0.5s ease;
}

#rundu_video {
  width: 350px;
  transition: all 0.5s ease;
  z-index: 99;
}

#rundu_video.active {
  transition: all 0.5s ease;
}

 .grid {
  display: flex;
  width: 270px;
  top: 50.5%;
  left: 72%;     
  position: absolute;
  gap: 3px;
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  overflow: hidden; 
} 

.left-image,
.right-image {
  min-width: 0; 
  max-width: 100%;
  height: auto;
  object-fit: cover;
}

.left-image {
  flex: 2;
}

.right-image {
  flex: 1;
}

.flex_kina {
  display: flex;
  position: absolute;
  width: 400px;
  gap: 3px;
  top: 32%;
  left: 44%;
  user-select: none; /*chrome*/
  -ms-user-select: none; 
  -webkit-user-select: none; /* Safari */
  -moz-user-select: none; /* Firefox */
}

.kina {
  min-width: 0;
  max-width: 100%;
  height: auto;
  object-fit: cover;
}

.flex_carving {
  display:flex;
  position: absolute;
  width: 400px;
  top: 63%;
  left: 9%;
  user-select: none; /*chrome*/
  -ms-user-select: none; 
  -webkit-user-select: none; /* Safari */
  -moz-user-select: none; /* Firefox */
  overflow: hidden; /* Ensures content doesn't spill out */

}

.carving{
  min-width: 0;
  max-width: 100%;
  height: auto;
  object-fit: cover;
}

#text_carving {
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  font-size: 14px;
  color:#040404;
  font-weight: 200;
}

.flex-logo {
  display: flex;
  flex-wrap: wrap; 
  position: absolute;
  width: 290px;
  height: 150px;
  gap: 5px;
  top: 78%;
  left: 76.6%;
  z-index: 10;
  user-select: none; /*chrome*/
  -ms-user-select: none; 
  -webkit-user-select: none; /* Safari */
  -moz-user-select: none; /* Firefox */

}

.logo{
  width: calc(50% - 5px); /*Images will scale to fit within their grid cell*/
  min-width: 0;
  height: auto;
  object-fit: contain;
}

#zoomIn {
  padding: 0.1%;
  color:black;
  opacity: 0.6;
  background-color: rgb(238, 237, 237);
  border:rgb(171, 6, 124);    
  border-width: 0.01cm;
  border-style:double;
  height: 2.75vh;
  width: 1.35vw;
  border-radius: 70% 70% 0% 0%;
  font-size: 1.3vw;
  position: fixed;
  cursor: pointer;
  top: 88%;
  left: 96%;
  z-index: 100;
}

#zoomOut {
  padding: 0.1%;
  color:black;
  opacity: 0.6;
  background-color: rgb(238, 237, 237);;
  border:rgb(171, 6, 124);
  border-width: 0.01cm;
  border-style:double;
  height: 2.75vh;
  width: 1.35vw;
  border-radius: 0% 0% 70% 70%;
  font-size: 1.3vw;
  cursor: pointer;
  position: fixed;
  top: 91%;
  left: 96%;
  z-index: 100;
}

#impressum-btn {
  color:black;
  opacity: 0.6;
  background-color: rgb(238, 237, 237);;
  border:rgb(64, 6, 171);    
  border-width: 0.01cm;
  border-style:double;
  height: 3vh;
  width: 6vw;
  font-size: 0.9vw;
  /* height: 1.7rem; /* Use rem for consistent sizing 
  width: 6rem;  Use rem for consistent width 
  font-size: 1rem; Adjust font size */
  border-radius: 40% 40% 40% 40%;
  font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  position: fixed;
  cursor: pointer;
  top: 91%;
  left: 89%;
  z-index: 1000;
}

#fireDrumsText {
  font-size: 12px;
  color: #0e0e0e;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  /* font-weight: bold; */
  text-align: left;
}

#everything_text {
  font-size: 12px;
  color:#0e0e0e;
  font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  text-align: left;
}

#efungu_text {
  display: none;
  font-size: 12px;
  color:#c9b116;
  font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  text-align: left;
}

#pink_text {
  font-size: 12px;
  /* color:#eb71b8; */
  color: azure;
  font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  text-align: left;
  font-weight: 200;
  z-index: 19;
}

#names_of_holy_trees {
  font-size: 13px;
  font-weight: 200;
  color:brown;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  text-align: left;
}

#text_purple_hut {
  font-size: 13px;
  font-weight:200;
  color:#c9b116;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  text-align: left;
  line-height: 1.3;
}

#text_rain {
  display:none;
  font-size: 13px;
  font-weight:200;
  color:#160949;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  text-align: left;
}

#trees_text {
  font-size: 13px;
  font-weight:200;
  color:#160949;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  text-align: left;
  line-height: 1.3;
}

#credits {
  font-size: 13px;
  color: #0e0e0e;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  text-align:left;
}

#bee_text {
  display: none;
  font-size: 14px;
  font-weight: 200;
  color:#c9b116;
  font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  text-align: left;
  line-height: 1.5;
}

#drum_skin {
  display: none;
  font-size: 14px;
  font-weight: 200;
  color:rgb(104, 153, 72);
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  text-align: left;
  line-height: 1.5;
}

#wax_text {
  display: none;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  font-size: 14px;
  color:rgb(4, 4, 4);
  font-weight: 200;
  line-height: 1.5;
}

#kalunga_text {
  font-family:'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  font-size: 18px;
  color:rgb(249, 219, 119);
  font-weight: 750;
}

#kalunga_hover_text {
  display: none;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  font-size: 14px;
  color:rgb(24, 25, 75);
  font-weight: 200;
  line-height: 1.5;
}

#pink_oshide_text {
  display: none;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  font-size: 12px;
  color:rgb(242, 141, 205);
  font-weight: 200;
  line-height: 1.2;
}

#omufuku_text {
  display: none;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  font-size: 14px;
  color:rgb(162, 46, 4);
  font-weight: 200;
  line-height: 1.5;
}

#shaking_heads_text {
  display: none;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  font-size: 12px;
  color:#c9b116;
  font-weight: 200;
  line-height: 1.2;
}

#special_drums_text {
  display: none;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  font-size: 14px;
  color:#200740;
  font-weight: 200;
  line-height: 1.5;
}

#pink-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(185, 56, 103, 0.9); 
  pointer-events: none; 
  z-index: 18; 
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.7s ease, visibility 0s linear 0.7s;
}

#pink-overlay.active {
  opacity: 1;
  visibility: visible; 
  transition: opacity 1s ease; 
}

#dark-overlay {
position: absolute;
top: 0;
left: 0;
width: 100%;
height: 100%;
background-color: rgba(43, 2, 10, 0.9); 
pointer-events: none; 
z-index: 20; 
opacity: 0;
visibility: hidden;
transition: opacity 0.7s ease, visibility 0s linear 0.7s;
}

#dark-overlay.active{
opacity:1;
visibility: visible;
transition:opacity 1s ease;
}

/*
#efungu {
  width: 100px;
  height: 100px; 
  width: 25%;
  height: 29%;
  animation: test 10s linear infinite;
}

 @keyframes test 
{
  0% 
  {
    transform: translateX(-1000px) translateY(-500px);
    opacity: 1;  /* Start fully visible  

  } 
  100% 
  {
    transform: translateX(1000px) translateY(0px);
    opacity: 0;  /* diminish 

  }
} */

.audio-controls {
  position: absolute;
  top: 40%;
  left: 50%;
  transform: translateX(-50%);
  background: rgba(0,0,0,0.5);
  padding: 10px;
  border-radius: 5px;
}

#impressum-popup {
  display: none;
  text-align: left;
  position: fixed;
  border: none;
  font-size: 16px;
  font-family: 'Arial', sans-serif;
  opacity: 1;
  padding: 30px; 
  background-color: white;
  border-radius: 8px;
  box-shadow: 0px 10px 30px rgba(0, 0, 0, 0.2);
  overflow-y: auto;
  overflow-x: hidden;
  resize: both;
  max-width: 90vw; 
  max-height: 90vh; 
  box-sizing: border-box;
  min-width: 300px; 
  min-height: 200px; 
  z-index: 10000;
}

#popup-backdrop {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 9999; 
}

#close-popup {
position: absolute;
top: 10px; 
right: 10px;
background-color: transparent;
border: 1px solid #76568e;
color: #76568e;
font-size: 18px;
padding: 5px 10px;
border-radius: 50%;
cursor: pointer;
transition: background-color 0.3s ease, color 0.3s ease;
}

#close-popup:hover {
  background-color: #76568e;
  color: white;
}

@media (max-width: 450px) {

.content {
  width: 4000px;
  height:4000px;
  position: absolute;
}

#impressum-btn {
  height: 1.5rem; 
  width: 4rem; 
  font-size: 0.7rem; 
  top: 94%; 
  left: 78%;
}

#close-popup {
  font-size: 14px;
  padding: 5px 8px;
  top: 5px;
  right: 5px;
}
#tree_y {
  transform: scale(2.2);
}

#pink {
  transform: scale(1.8);
  left: 0.1%;
}

.artists_text_styles {
  display: block;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  font-size: 11.7px;
  color:#000000;
  font-weight: 200;
  line-height: 1.2;
}

#kina_poster {
  display:none;
}

#zoomIn, #zoomOut {
  display:none;
}
}
